Skip to main content
GET
/
api
/
v1
/
styles
List Styles
curl --request GET \
  --url https://staging.cutmake.ai/api/v1/styles
[
  {
    "id": "<string>",
    "documentId": "<string>",
    "name": "<string>",
    "refId": "<string>",
    "clientId": "<string>",
    "picture": "<string>",
    "description": "<string>",
    "colors": [
      "<string>"
    ],
    "sizes": [
      "<string>"
    ],
    "skus": [
      {
        "id": "<string>",
        "documentId": "<string>",
        "color": "<string>",
        "size": "<string>",
        "qrData": "<string>",
        "isKittedBundle": false,
        "kittedBundle": [
          {}
        ]
      }
    ],
    "skuCount": 0,
    "createdAt": "<string>"
  }
]

Headers

X-Org-Id
string | null

Query Parameters

q
string | null

Response

Successful Response

id
string
required
documentId
string | null
name
string | null
refId
string | null
clientId
string | null
picture
string | null
description
string | null
colors
string[]
sizes
string[]
skus
StyleSKUResponse · object[]
skuCount
integer
default:0
createdAt
string | null